<?php

############################################################################
#    Copyright (C) 2009 by Geo Varghese : http://www.seofreetools.net/     #
#    sendtogeo@gmail.com                                                   #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################


class Calendar{
    var $currentMonth;
    var $currentYear;
    var $currentDate;
    var $currentTime;
    var $prevTime;
    var $nextTime;
    var $weekDays;

    # func to initialise calendar
    function LoadCalendar($timeStamp){
        if(!empty($timeStamp)){
            $this->currentYear =  date('Y',$timeStamp);
            $this->currentMonth = date('m',$timeStamp); 
        }else{
            $this->currentYear =  date('Y');
            $this->currentMonth = date('m');
        }
        $this->currentDate = date('d');
        $this->currentTime = mktime(0, 0, 0, $this->currentMonth , 1 , $this->currentYear);
        $prevMonth = $this->currentMonth - 1;
        $nextMonth = $this->currentMonth + 1;
        $this->prevTime = mktime(0, 0, 0, $prevMonth , 1 , $this->currentYear);
        $this->nextTime = mktime(0, 0, 0, $nextMonth , 1 , $this->currentYear);
        $this->weekDays = array('Sun','Mon','Tue','Wed','Thu','Fri','Sat');
    }

    # func to display calendar
    function DisplayCalendar($timeStamp=""){
        $this->LoadCalendar($timeStamp);

        $currentTime = mktime(0, 0, 0, $this->currentMonth , 1 , $this->currentYear);
        $prevMonth = $this->currentMonth - 1;
        $nextMonth = $this->currentMonth + 1;
        $prevTime = mktime(0, 0, 0, $prevMonth , 1 , $this->currentYear);
        $nextTime = mktime(0, 0, 0, $nextMonth , 1 , $this->currentYear);

        $monthText = date("F",$currentTime);
        $yearText = date("Y",$currentTime);
        $dayText = date("d",$currentTime);

        $totalDays = date('t', $currentTime);
        $firstDay = date("D", $currentTime);
        $weekDays = array('Sun','Mon','Tue','Wed','Thu','Fri','Sat');
        $listMonth = array();
        $prevMonthText = date('F', $prevTime);        
        $nextMonthText = date('F', $nextTime);

        $today = mktime();

        # to find the day of 1st day in a month
        $index = array_search($firstDay, $weekDays);

        # starts to print calender
        echo '
        <html>
        <head>
            <title>Download Simple PHP Calendar Script Developed by Geo Varghese</title>
            <meta name="description" content="Download Simple PHP Calendar Script - Implement calendar in your site with in 5 minutes. Customise the calendar easily according to your needs.">
            <meta name="keywords" content="php calendar script,download calendar,php calendar,free php calendar,calendar script">
            <style>
            body{
                font-family: Tahoma, verdana, arial, sans-serif;
            }
            .header_tab{
                padding:10px 0 20px 0;
                font-size:18px;
                color:#5e5e5e;
            }

            .header_tab A{
                text-decoration:none;
                color:#0092e8;
            }

            .cal_tab{
                padding:0px;
                text-align:center;
                vertical-align:center;
            }
            
            .cal_tab td A{
                color:black;
                text-decoration:none;
            }
            .cal_tab .cal_head{
                background-color:#5e5e5e;
                color:white;
                height:50px;
            }    
            
            .copy {
                width:950px;
                float:center;
                text-align:center;
                font-size:9px;
                color:#515151;                
                padding-top:4px;
                padding-right:50px;
            }         
            
            .copy a {
                font-family:Arial;
                font-size:9px;
                color:#7F7F7F;
                text-decoration:none;
                display:inline-block;
                padding:0 10px 0 10px;
            }
            </style>
        <head>
        <body>
        <table align="center" border="0" class="header_tab">
            <tr>
                <th style="padding-right:50px;"><a class="noBorder" href="calendar.php?timeStamp='.$prevTime.'">'.$prevMonthText.'</a></td>
                <th><b>'.$monthText . " - " .$dayText ." - ".$yearText.'</b></td>
                <th style="padding-left:50px;"><a class="noBorder" href="calendar.php?timeStamp='.$nextTime.'">'.$nextMonthText.'</a></td>
            </tr>
        </table>
        <p>
        </p>
        <table align="center" cellpadding="0px" cellspacing="0px" border="1px" class="cal_tab">
            <tr class="cal_head">
                <td>Sun</td>
                <td>Mon</td>
                <td>Tue</td>
                <td>Wed</td>
                <td>Thu</td>
                <td>Fri</td>
                <td>Sat</td>
            </tr>';
        $w = 0;
        for($m = 1; $m <= $totalDays ; ){
            $d = ($m == 1) ? $index : 0;
            for( ; $d <= 6 ; $d++){
                $listMonth[$w][$d] = $m;
                $m++;
                if($m > $totalDays){break;}
            }
            $w++;
        }

        # to get total details of a month
        foreach($listMonth as $styleIdx => $listWeek){
            echo "<tr>";
            for($i = 0 ; $i <= 6 ; $i++){
                if (isset($listWeek[$i])) {
                    $day = $listWeek[$i] < 10 ? "0".$listWeek[$i] : $listWeek[$i];
                    $month = $this->currentMonth;
                    $content = "<a href=''>$day</a>";
                } else {
                    $content = "&nbsp;";
                }
                $style = ($styleIdx % 2) ? "background-color:#E6E6E6" : "";
                if($listWeek[$i] == date('d')){ 
                    $style = "background-color:#868686"; 
                }
                echo "<td width='200px' height='70px' style='$style'>{$content}</td>";
            }
            echo "</tr>";
        }
        echo '</table>
              <div id="footer">
                <table width="100%" align="center" cellspacing="0px" cellpadding="0px" style="margin-top:4px;">
                    <TR>
                        <TD align="center" style="font-size:12px;">
                            &#169; Copyright 2009 www.seofreetools.net. All rights reserved.
                        </TD>
                    </TR>
                </table>
                <div class="copy">
                    <a href="http://www.seofreetools.net/scripts/php-calendar/">PHP CALENDAR</a>  | 
                    <a href="http://www.seofreetools.net/seo-tools/">SEO TOOLS</a>  | 
                    <a href="http://www.seofreetools.net/seo-tutorials/">SEO TUTORIALS</a>  |  
                    <a href="http://www.seofreetools.net/seo-news/">SEO NEWS</a>  | 
                    <a href="http://www.seofreetools.net/contact/">CONTACT</a>  | 
                    <a title="Web directory page" href="http://directory.seofreetools.net/">FREE SEO DIRECTORY</a> | 
                    <a title="Web Hosting Plans Monitor" href="http://www.gethostingplans.com/">WEB HOSTING PLANS MONITOR</a>
                </div>
              </div>
              </body>
              </html>';
            
    }

    # func to display calendar header
    function DisplayHeader($class="",$td_class=""){
        $tmp = "<tr id='col'>";
        foreach($this->weekDays as $day){
            $tmp .= "<td class='$td_class'>$day</td>";
        }
        $tmp .= "</tr>";
        return $tmp;
    }

}

# call calendar class to display calendar
$calendar = New Calendar();
$calendar->DisplayCalendar($_GET['timeStamp']);

?>